import { SpaceSchema, SpaceByIdProperties } from './ts/types';
type YmlMinMax = YmlMinMaxObj | string | number;
interface YmlMinMaxObj {
    min?: number;
    max?: number;
}
interface YmlProperty extends YmlMinMaxObj {
    allOf?: YmlProperty[];
    anyOf?: YmlProperty[];
    oneOf?: YmlProperty[];
    if?: YmlProperty[];
    then?: YmlProperty[];
    else?: YmlProperty[];
}
interface YmlAsset extends YmlProperty {
    category?: string;
    subCategory?: string;
}
export interface YmlSpace extends YmlProperty {
    count?: YmlMinMax;
    area?: YmlMinMax;
    seatCapacity?: YmlMinMax;
    minimumClearance?: YmlMinMax;
    assets?: YmlAsset[];
}
export type YmlData = {
    spaces: {
        usage?: {
            [key: string]: YmlSpace;
        };
        program?: {
            [key: string]: YmlSpace;
        };
    };
};
interface YmlObject {
    [key: string]: any;
}
export declare function ymlToSchema(data: YmlData): SpaceSchema;
export declare function parseRange(range: string, round?: boolean): number[];
export declare function parseYmlMinMax(prop: YmlMinMax): YmlMinMaxObj;
export declare function getSpaceConditions(space: YmlObject): YmlProperty;
export declare function getSpaceProperties(space: YmlSpace): SpaceByIdProperties;
export {};
